Résolu le 5-01-19 Blender 2.8 manque libGLX.so.0

Assistance Générale
didier33420
Messages : 22
Enregistré le : dim. 27 déc. 2015 14:59
Localisation : Grézillac 33420 France
Contact :

Blender 2.8 manque libGLX.so.0

Message par didier33420 » sam. 5 janv. 2019 15:16

Bonjour . J'ai installé LMDE depuis 15 jours sur mon portable qui a une carte nvidia GT 630M ( optimus ) j'étais satisfait car c'est le seul OS qui tourne corectement sur cette machine . J'ai téléchargé la dernière version de Blender 2.8 et elle ne veut pas se lancer ( jusqu'à présent ça fonctionnait avec les anciennes versions ) j'ai eu l'idée de la lancer dans le terminal et voila ce que me dit ce dernier :

Code : Tout sélectionner

error while loading shared libraries: libGLX.so.0: cannot open shared object file: No such file or directory
ce qui donne en français : erreur lors du chargement des bibliothèques partagées: libGLX.so.0: impossible d'ouvrir le fichier d'objet partagé: aucun fichier ou répertoire de ce type
J'ai installé le pilote Nvidia 340 et Bumblebee en suivant les tutos sur le sujet sur le forum débian .
Pouvez-vous m'aider ?
Merci par aavance .
Didier
Modifié en dernier par didier33420 le sam. 5 janv. 2019 23:30, modifié 4 fois.
Ma machine est un portable Clévo . 8 Go de mémoire . carte graphique Geforce GT 630M Optimus 1GB . Je suis sous LMDE 3

Avatar du membre
arghlub
modérateur
Messages : 5944
Enregistré le : dim. 21 mai 2017 08:19
Localisation : Provence
Contact :

Re: Blender 2.8

Message par arghlub » sam. 5 janv. 2019 17:35

Salut,

Je suis aussi un utilisateur de Blender, je n'ai pas de LMDE mais j'ai testé d'installer cette version sur une Debian.
Et ça me parait bien compliqué pour juste tester cette version 2.8 qui en est encore au stade de "Beta".

À priori, il faudrait installer des paquets qui ne sont pas dans les dépôts Debian vu que ce sont des paquets propriétaires... et ils réclament des dépendances (et beaucoup de sous-dépendances).
Donc ça me parait bien compliqué juste pour tester cette version "Beta" qu'à mon avis tu n'utiliseras pas en “production”.
(perso je ne m'amuse pas à faire des rendus 3D qui prennent des heures avec des versions beta qui risquent de planter au cours des rendus)

Pourquoi n'utilises-tu pas la version 2.79b qui est la version stable et qui est présente dans les dépôts (et donc installable via Synaptic ou «apt install blender» en terminal) ???
;)
Tour (custom)CM MSI Z270 M3 | CPU Intel I7-7700K | CG Nvidia GTX 1080 | RAM 16Go DDR4 3GHz | tripleBoot : Debian 9 | MXlinux | LMint 19.1 Tessa | XFCE
Portable Lenovo G50-80 (boosté RAM+SSD) | CPU Intel I3-4005U | RAM 8Go | tripleBoot avec “/data” commune : LMint 18.3 Sylvia | MXlinux | LMint 19.1 | XFCE
+ autres PCs, RaspberryPis, VMs ...
─────( pour une informatique libre ! -membre de l'April )────────────────

didier33420
Messages : 22
Enregistré le : dim. 27 déc. 2015 14:59
Localisation : Grézillac 33420 France
Contact :

Re: Blender 2.8

Message par didier33420 » sam. 5 janv. 2019 18:27

Bonjour . On peut tester la 2.8 sans l'installer . C'est ce que je faisais jusqu'à hier . Il sort des mises à jours tous les deux jours de la 2.8 . Depuis la mise à jour d'hier , je ne peux plus l'ouvrir . Ce qui me fait penser que lorsque la version stable va sortir , je ne pourai pas plus l'utiliser . Pour la 2.79 , pas de problème elle est installée et fonctionne . Ma question est sur la 2.8 . Ma question est plutôt comment résoudre le problème de la bibliothèque manquante : libGLX.so.0 . Il faudrait peut-être que je change le titre de mon post .
Merci.
Didier
Ma machine est un portable Clévo . 8 Go de mémoire . carte graphique Geforce GT 630M Optimus 1GB . Je suis sous LMDE 3

Avatar du membre
arghlub
modérateur
Messages : 5944
Enregistré le : dim. 21 mai 2017 08:19
Localisation : Provence
Contact :

Re: Blender 2.8

Message par arghlub » sam. 5 janv. 2019 18:29

As-tu le paquet «xserver-xorg-video-nvidia» d'installé ?
Tour (custom)CM MSI Z270 M3 | CPU Intel I7-7700K | CG Nvidia GTX 1080 | RAM 16Go DDR4 3GHz | tripleBoot : Debian 9 | MXlinux | LMint 19.1 Tessa | XFCE
Portable Lenovo G50-80 (boosté RAM+SSD) | CPU Intel I3-4005U | RAM 8Go | tripleBoot avec “/data” commune : LMint 18.3 Sylvia | MXlinux | LMint 19.1 | XFCE
+ autres PCs, RaspberryPis, VMs ...
─────( pour une informatique libre ! -membre de l'April )────────────────

didier33420
Messages : 22
Enregistré le : dim. 27 déc. 2015 14:59
Localisation : Grézillac 33420 France
Contact :

Re: Blender 2.8

Message par didier33420 » sam. 5 janv. 2019 18:33

Bonsoir . Je ne sais pas !!! Je peux tenter de l'installer . Tu as une commande pour ça ou un lien ou je trouverai un tuto ?
Merci ...
Ma machine est un portable Clévo . 8 Go de mémoire . carte graphique Geforce GT 630M Optimus 1GB . Je suis sous LMDE 3

Avatar du membre
zeb
Administrateur du site
Messages : 14446
Enregistré le : ven. 19 juin 2015 22:13
Localisation : Au pays du mistral

Re: Blender 2.8

Message par zeb » sam. 5 janv. 2019 18:36

Bonjour,
Merci de perdre cette habitude de lancer un sujet avec comme titre le seul nom du logiciel.
Un titre doit comporter certains éléments qui décrit un minimum le problème.
Merci !
LMDE3 Cinnamon 64-bit + LMDE3 Xfce.
Proc: intel I5 4440, Cm: Gigabyte GA-B85M-D3H, Alim: Corsair CX Bronze 430 W, Ram: Crucial Ballistix Sport, 2 x 2 Go.
SSD: 2.5 sandisk ultra+ 64 Go pour /+home, DD: Seagate Barracuda 500 Go pour mes données persos, DD maxtor 160 Go pour la sauvegarde ciblée via luckybackup.
Impr: HP Envy 4502.

Avatar du membre
arghlub
modérateur
Messages : 5944
Enregistré le : dim. 21 mai 2017 08:19
Localisation : Provence
Contact :

Re: Blender 2.8

Message par arghlub » sam. 5 janv. 2019 18:47

didier33420 a écrit :
sam. 5 janv. 2019 18:33
Tu as une commande pour ça ou un lien ou je trouverai un tuto ?
Non je n'ai pas de solution simple, la librairie partagée «libGLX.so» est incluse dans ce paquet et vu que c'est un paquet propriétaire il n'est pas dans les dépôts Debian (et je suppose que c'est idem sous LMDE).
Donc il faut que tu télécharges le paquet sur le web : https://packages.debian.org/stretch/xse ... deo-nvidia

Mais comme je te l'ai dit il y a des sous-dépendances en cascade (je ne me rappelle plus lesquelles, je ne les ai pas noté) donc ce n'est pas une tâche aisée.
Une fois téléchargé quand tu lanceras gdebi pour l'installer, tu verras qu'il te demande une dépendance, tu la recherches sur https://packages.debian.org et tu essayes de l'installer, cela demandera une nouvelle dépendance.... etc....
Bon courage ;)
Tour (custom)CM MSI Z270 M3 | CPU Intel I7-7700K | CG Nvidia GTX 1080 | RAM 16Go DDR4 3GHz | tripleBoot : Debian 9 | MXlinux | LMint 19.1 Tessa | XFCE
Portable Lenovo G50-80 (boosté RAM+SSD) | CPU Intel I3-4005U | RAM 8Go | tripleBoot avec “/data” commune : LMint 18.3 Sylvia | MXlinux | LMint 19.1 | XFCE
+ autres PCs, RaspberryPis, VMs ...
─────( pour une informatique libre ! -membre de l'April )────────────────

Avatar du membre
arghlub
modérateur
Messages : 5944
Enregistré le : dim. 21 mai 2017 08:19
Localisation : Provence
Contact :

Re: Blender 2.8

Message par arghlub » sam. 5 janv. 2019 19:26

Re,

Je viens de voir que le paquet xserver-xorg-video-nvidia est présent dans les dépôts retroportés (backport) de Debian, essaie peut-être de l'installer par ce biais. ;)
Tour (custom)CM MSI Z270 M3 | CPU Intel I7-7700K | CG Nvidia GTX 1080 | RAM 16Go DDR4 3GHz | tripleBoot : Debian 9 | MXlinux | LMint 19.1 Tessa | XFCE
Portable Lenovo G50-80 (boosté RAM+SSD) | CPU Intel I3-4005U | RAM 8Go | tripleBoot avec “/data” commune : LMint 18.3 Sylvia | MXlinux | LMint 19.1 | XFCE
+ autres PCs, RaspberryPis, VMs ...
─────( pour une informatique libre ! -membre de l'April )────────────────

Avatar du membre
arghlub
modérateur
Messages : 5944
Enregistré le : dim. 21 mai 2017 08:19
Localisation : Provence
Contact :

Re: (RESOLU)Blender 2.8

Message par arghlub » sam. 5 janv. 2019 19:54

J'ai modifié (une nouvelle fois) ton résolu pour le mettre aux nouvelles normes du forum.
Désormais, il faut mettre un attribut de sujet (résolu), voir tuto ici

Je te l'ai déjà dit sur ton sujet précédent, merci de prendre en compte les messages des modos (on a autre chose à faire que de modifier tes posts :evil: ).

D'ailleurs tu n'as pas modifié ton titre non plus comme zeb te le demandait ... :l :l
Tour (custom)CM MSI Z270 M3 | CPU Intel I7-7700K | CG Nvidia GTX 1080 | RAM 16Go DDR4 3GHz | tripleBoot : Debian 9 | MXlinux | LMint 19.1 Tessa | XFCE
Portable Lenovo G50-80 (boosté RAM+SSD) | CPU Intel I3-4005U | RAM 8Go | tripleBoot avec “/data” commune : LMint 18.3 Sylvia | MXlinux | LMint 19.1 | XFCE
+ autres PCs, RaspberryPis, VMs ...
─────( pour une informatique libre ! -membre de l'April )────────────────

didier33420
Messages : 22
Enregistré le : dim. 27 déc. 2015 14:59
Localisation : Grézillac 33420 France
Contact :

Re: Blender 2.8

Message par didier33420 » sam. 5 janv. 2019 22:12

Bonjour . Houla !!! que d'agressivité !!!! Bon , je vais essayer de faire mieux la prochaine fois , mais je vais aussi essayer d'éviter ce forum , car je pense qu'à chaque fois j'aurai droit à des reproches !
Je remercie ceux qui m'ont aidé et leur souhaite une très bonne année 2019 .
Ma machine est un portable Clévo . 8 Go de mémoire . carte graphique Geforce GT 630M Optimus 1GB . Je suis sous LMDE 3

Répondre